# $Revision: 1.20 $, $Date: 2004/11/09 21:27:22 $
Summary:	Linux bootloader for Power Macintosh "New World" computers
Summary(pl):	Bootloader dla komputerw Power Macintosh "New World"
Name:		yaboot
Version:	1.3.13
Release:	2
License:	GPL
Group:		Applications/System
Source0:	http://penguinppc.org/projects/yaboot/%{name}-%{version}.tar.gz
# Source0-md5:	f12798d1b2063f21d07e0ae7f602ccaf
Source1:	%{name}_functions.sh
Patch0:		%{name}-man.patch
Patch1:		%{name}-user.patch
Patch2:		%{name}-bash.patch
Patch3:		%{name}-crt0.patch
URL:		http://penguinppc.org/projects/yaboot/
Requires:	bash >= 2.0
Requires:	hfsutils >= 3.2.0
Requires:	pmac-utils
Provides:	bootloader
Obsoletes:	ybin
ExclusiveArch:	ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
yaboot is a bootloader for PowerPC machines which works on New World
ROM machines (Rev. A iMac and newer) and runs directly from Open
Firmware, eliminating the need for Mac OS.

%description -l pl
yaboot to bootloader dla maszyn PowerPC, ktry dziaa na maszynach New
World ROM (rewizja A iMac oraz nowsze) oraz pracuje bezporednio z
Open Firmware, dziki czemu nie trzeba stosowa Mac OS.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	ROOT=$RPM_BUILD_ROOT \
	PREFIX=/ \
	MANDIR=%{_mandir}

install -d $RPM_BUILD_ROOT/etc/sysconfig/rc-boot
install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-boot

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS README THANKS TODO changelog doc/README.* doc/yaboot-howto.html
%attr(644,root,root) /etc/sysconfig/rc-boot/%{name}_functions.sh
%attr(755,root,root) /sbin/*
%attr(600,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}.conf
%dir /lib/%{name}
%attr(755,root,root) /lib/%{name}/addnote
/lib/%{name}/*boot
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: yaboot.spec,v $
Revision 1.20  2004/11/09 21:27:22  ankry
- added crt0 patch (by pluto), rel. 2

Revision 1.19  2004/11/01 09:59:43  marcus
- updated to 1.3.13, tested on CHRP.

Revision 1.18  2004/05/15 00:31:23  agaran
- just updated md5 to new version, no working ppc here right now to test.

Revision 1.17  2003/11/27 00:03:34  speedy
- up to 1.3.11

Revision 1.16  2003/08/12 15:08:20  qboosh
- cleanups, mainly in preambles

Revision 1.15  2003/06/23 08:59:45  misi3k
- md5sum

Revision 1.14  2003/05/25 06:28:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/04/11 07:03:07  speedy
- release 2
- Requires: pmac-utils [nvsetenv]

Revision 1.12  2003/03/17 06:18:34  marcus
- updated to 0.3.10
(for Ac and Ra/updates/general)
Fixes for RS/6000 and newest pmacs.

Revision 1.11  2002/12/08 11:53:21  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.10  2002/11/25 15:09:42  qboosh
- fixed new %%doc

Revision 1.9  2002/11/25 14:56:32  marcus
- use new %%doc

Revision 1.8  2002/10/03 10:17:08  dzimi
- update to 1.3.7
- rel 1
- new yaboot incluce a lot of fixes

Revision 1.7  2002/06/21 14:36:29  speedy
- release++
- NEW! rc-boot support
- provides: bootloader

Revision 1.6  2002/03/19 02:15:11  marcus
- yaboot's scripts are for bash not pdksh
- rel.2.

Revision 1.5  2002/03/06 21:15:35  martii
- added hfsutils Req, needed for proper instalation on Bootstrap.

Revision 1.4  2002/03/02 19:54:12  kloczek
- cosmetics.

Revision 1.3  2002/03/02 19:01:44  misiek
- fixes (buildable from user)

Revision 1.2  2002/03/02 19:00:15  misiek
- fixes

Revision 1.1  2002/03/02 18:51:04  misiek
- initial pld release
